Subject: bug#69562: 29.2.50; go-ts-mode does not handle comments with fill-paragraph

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Mar 2024 11:38:16 +0200

> Date: Thu, 7 Mar 2024 14:28:52 +0530
> From:  Ankit Gadiya via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> On Thu, 7 Mar 2024 at 07:27, Dmitry Gutov <[email-masked]> wrote:
> >
> > Could you confirm that your problem reproduces if you start Emacs as
> > 'emacs -Q'?
> 
> I did notice some files from earlier versions of Emacs installation on my
> machine. So just to rule it out, I cleared all the installations and re-compiled
> and re-installed Emacs locally from the same commit again. Unfortunately, it is
> still reproducing in the `emacs -Q` session.
> 
> This is the output of `emacs-version` inside `emacs -Q` session.
> 
> GNU Emacs 29.2.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version 3.24.38,
> cairo version 1.16.0) of 2024-03-04
> 
> This is the partial output from the `report-emacs-bug` buffer in the same `emacs
> -Q` session.
> 
> In GNU Emacs 29.2.50 (build 6, x86_64-pc-linux-gnu, GTK+ Version
> 3.24.38, cairo version 1.16.0) of 2024-03-04 built on t14
> Repository revision: ae80192d97b8d0e54a9429091cd84190bdbeb49e
> Repository branch: emacs-29
> System Description: Debian GNU/Linux 12 (bookworm)
> 
> I also tried fetching newer changes from the `emacs-29` branch and I'm
> still able to reproduce it.
> 
> GNU Emacs 29.2.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.38,
> cairo version 1.16.0) of 2024-03-07
> 
> In GNU Emacs 29.2.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version
>  3.24.38, cairo version 1.16.0) of 2024-03-07 built on t14
> Repository revision: 6e801077ae88e72dbad32015a083602062c4efe3
> Repository branch: emacs-29
> System Description: Debian GNU/Linux 12 (bookworm)

I note that this bug and its discussion lack the minimal reproducible
recipe, at least there's no complete recipe.  You start with showing
some incomplete snippet, and AFAICT never show anything more detailed.
So would you please post such a complete recipe, including:

  . a Go source file to visit
  . the sequence of Emacs command/keys to type in order to reproduce
    the problem, after visiting the above file
  . what you get in the buffer after these commands

You see, I fear that you and Dmitry are not doing the same in your
reproduction steps, and that is why Dmitry cannot reproduce the issue
you are complaining about.  Having a complete self-contained recipe
with all the details will go a long way towards eliminating the
differences between what you see.  (It will also allow me to try
reproducing this, as currently I have no idea what to type in the
buffer under go-ts-mode to begin with.)

Thanks.